export const RichTextBlock = ({ block }: any) => {
  return (
    <div
      className="rich-text-block"
      dangerouslySetInnerHTML={{ __html: block.value }}
    ></div>
  );
};

export const Blocks = ({ blocks }: any) => {
  return blocks.map((block: any) => {
    switch (block.blockType) {
      case "RichTextBlock":
        return <RichTextBlock block={block} />;
        break;
      default:
        return <div>Unsupported block type {block.blockType}</div>;
        console.log("unsupported block", block);
    }
  });
};

/*
StreamFieldBlock
CharBlock
TextBlock
EmailBlock
IntegerBlock
FloatBlock
DecimalBlock
RegexBlock
URLBlock
BooleanBlock
DateBlock
TimeBlock
DateTimeBlock
RichTextBlock
RawHTMLBlock
BlockQuoteBlock
ChoiceBlock
StreamBlock
StructBlock
StaticBlock
ListBlock
EmbedBlock
PageChooserBlock
DocumentChooserBlock
ImageChooserBlock
*/
